/************************************************
 * Copyright (c) Shen Li. All rights reserved.  *
 * http://joyaop.sourceforge.net                *
 * -------------------------------------------- *
 * Distributable under LGPL license.            *
 * See terms of license at gnu.org.             *
 ************************************************/
package net.sf.joyaop.framework;

import java.util.Map;

/**
 * @author Shen Li
 */
public interface RuntimeAspect extends Aspect {
    String CLASS_SCOPE = "class";
    String INSTANCE_SCOPE = "instance";
    String THREAD_SCOPE = "thread";
    String JVM_SCOPE = "jvm";

    String getScope();

    void setScope(String scope);

    void setParameters(Map parameters);

    Map getParameters();
}
